Bug 1851313

Summary: monotone-1.1-34.fc33 FTBFS: /usr/include/boost/throw_exception.hpp:129:46: error: macro "E" requires 3 arguments, but only 1 given
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: monotoneAssignee: Jerry James <loganjerry>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: igor.raits, loganjerry, thomas.moschny
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koschei.fedoraproject.org/package/monotone
Whiteboard:
Fixed In Version: monotone-1.1-35.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-03 09:40:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803234, 1852150    

Description Petr Pisar 2020-06-26 06:28:07 UTC
monotone-1.1-34.fc33 fails to build in Fedora 33:

g++  -I.    -I/usr/include/botan-1.10           -O2 -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -fasynchronous-unwind-tables -fstack-clash-protection -Wall -W -Wno-unused -c -o src/options_applicator.o src/options_applicator.cc
[...]
In file included from /usr/include/boost/function/detail/prologue.hpp:15,
                 from /usr/include/boost/function.hpp:30,
                 from src/option.hh:27,
                 from src/options.hh:24,
                 from src/options_applicator.cc:14:
/usr/include/boost/throw_exception.hpp:129:46: error: macro "E" requires 3 arguments, but only 1 given
  129 |     explicit wrapexcept( E const & e ): E( e )
      |                                              ^
In file included from src/vector.hh:23,
                 from src/option.hh:25,
                 from src/options.hh:24,
                 from src/options_applicator.cc:14:
src/sanity.hh:378: note: macro "E" defined here
  378 | #define E(e, whence, explain)                                          \
      | 

A difference between a passing and failing build root is at <https://koschei.fedoraproject.org/build/8420697>. This is probably triggered by upgrading boost-devel from 1.69.0-22.fc33 to 1.73.0-3.fc33.

Comment 1 Petr Pisar 2020-06-30 12:21:41 UTC
*** Bug 1852168 has been marked as a duplicate of this bug. ***

Comment 2 Jerry James 2020-06-30 20:00:16 UTC
And thus we see the folly of 1-letter macro names.  Fix here: https://src.fedoraproject.org/rpms/monotone/pull-request/1

Comment 3 Igor Raits 2020-07-05 19:22:25 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

All subpackages of a package agaisnt which this bug was filled are now installable or removed from Fedora 33.

Thanks for taking care of it!